holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_the_Bahamas
  # @source http://laws.bahamas.gov.bs/cms/images/LEGISLATION/PRINCIPAL/1938/1938-0015/PublicHolidaysAct_1.pdf
  BS:
    names:
      en: Bahamas
    dayoff: sunday
    langs:
      - en
    zones:
      - America/Nassau
    days:
      01-01:
        _name: 01-01
      01-10 and if saturday,sunday then next monday:
        substitute: true
        name:
          en: Majority Rule Day
      easter -2:
        _name: easter -2
      easter:
        _name: easter
        type: observance
      easter 1:
        _name: easter 1
      2nd sunday in May:
        _name: Mothers Day
        type: observance
      easter 49:
        _name: easter 49
        type: observance
      easter 50:
        _name: easter 50
      1st friday in June:
        _name: 05-01
        name:
          en: Randol Fawkes Labour Day
      07-10 and if saturday,sunday then next monday:
        substitute: true
        _name: Independence Day
      1st monday in August:
        name:
          en: Emancipation Day
      10-12 and if saturday,sunday then next monday:
        substitute: true
        name:
          en: National Heroes' Day
      12-25:
        _name: 12-25
      12-26:
        _name: 12-26
    # regions:
      # AK:
      #   name: Acklins
      # BI:
      #   name: Bimini
      # BP:
      #   name: Black Point
      # BY:
      #   name: Berry Islands
      # CE:
      #   name: Central Eleuthera
      # CI:
      #   name: Cat Island
      # CK:
      #   name: Crooked Island
      # CO:
      #   name: Central Abaco
      # CS:
      #   name: Central Andros
      # EG:
      #   name: East Grand Bahama
      # EX:
      #   name: Exuma
      # FP:
      #   name: Freeport
      # GC:
      #   name: Grand Cay
      # HI:
      #   name: Harbour Island
      # HT:
      #   name: Hope Town
      # IN:
      #   name: Inagua
      # LI:
      #   name: Long Island
      # MC:
      #   name: Mangrove Cay
      # MG:
      #   name: Mayaguana
      # MI:
      #   name: Moore’s Island
      # NE:
      #   name: North Eleuthera
      # 'NO':
      #   name: North Abaco
      # NS:
      #   name: North Andros
      # RC:
      #   name: Rum Cay
      # RI:
      #   name: Ragged Island
      # SA:
      #   name: South Andros
      # SE:
      #   name: South Eleuthera
      # SO:
      #   name: South Abaco
      # SS:
      #   name: San Salvador
      # SW:
      #   name: Spanish Wells
      # WG:
      #   name: West Grand Bahama
